package com.qmth.sop.business.bean.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import com.alibaba.excel.annotation.write.style.HeadStyle;
import com.qmth.sop.business.util.excel.BasicExcelRow;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @Description: 客户导入Dto
 * @Param:
 * @return:
 * @Author: shudonghui
 * @Date: 2023/7/31
 */
@ColumnWidth(value = 30)
@HeadStyle(fillForegroundColor = 11)
@HeadFontStyle(color = 1)
public class CustomImportDto extends BasicExcelRow implements Serializable {


    @ExcelProperty(value = "客户ID")
    @NotBlank(message = "客户ID不能为空")
    private String code;

    @ExcelProperty(value = "客户名称")
    @NotBlank(message = "客户名称不能为空")
    private String name;;

    @ExcelProperty(value = "客户类型")
    @NotBlank(message = "客户类型不能为空")
    private String type;

    @ExcelProperty(value = "省份")
    @NotBlank(message = "省份不能为空")
    private String province;

    @ExcelProperty(value = "城市")
    @NotBlank(message = "城市不能为空")
    private String city;

    @ExcelProperty(value = "县区")
    @NotBlank(message = "县区不能为空")
    private String area;

    @ExcelProperty(value = "详细地址")
    @NotBlank(message = "详细地址不能为空")
    private String address;

    @ExcelProperty(value = "客户经理")
    @NotBlank(message = "客户经理不能为空")
    private String manager;

    @ExcelProperty(value = "服务档位名称")
    private String level;

    @ExcelProperty(value = "标准人天")
    private Integer peoperDay;



    public CustomImportDto() {

    }

    public CustomImportDto(String name, String code, String type, String province, String city, String area, String address, String manager, String level, Integer peoperDay) {
        this.name = name;
        this.code = code;
        this.type = type;
        this.province = province;
        this.city = city;
        this.area = area;
        this.address = address;
        this.manager = manager;
        this.level = level;
        this.peoperDay = peoperDay;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getManager() {
        return manager;
    }

    public void setManager(String manager) {
        this.manager = manager;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public Integer getPeoperDay() {
        return peoperDay;
    }

    public void setPeoperDay(Integer peoperDay) {
        this.peoperDay = peoperDay;
    }
}
